Zum Hauptinhalt springen

Get a feedback entry

Returns a single feedback entry by numeric ID or feedback UUID.

Path Parameters
id string — REQUIRED
Responses
200

Successful response

Schema — OPTIONAL
id number
uuid uuid

Possible values: Value must match regular expression ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

botId
userId
createdAt string
updatedAt string
chat object
feedback object
title
category
status
tags string[]
severity
impact
effort
churnRisk
customerSegment
growthImpact
duplicateOf
requesterName
requesterEmail
closed boolean
priority number
matches
matchesExplanation
adminComment
positive boolean
taskId
historyLength number
email
400

Invalid input data

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
401

Authorization not provided

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
403

Insufficient access

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
404

Not found

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string
500

Internal server error

Schema — OPTIONAL
message string

The error message

code string

The error code

issues object[] — OPTIONAL

An array of issues that were responsible for the error

message string